%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Exercice I, partie 1, du TD2 de "Système Robotiques Hétérogènes et Coopératifs" 
%%%
%%% Auteur: Fabio Morbidi
%%% Octobre 2022

function [lambda2,u2] = exIp1(A)

[m,n] = size(A); %% Nombre de lignes et colonnes de la matrice A

Deg = diag(A*ones(n,1)); %% Matrice des degrés

L = Deg - A; %% Matrice laplacienne

[V,D] = eig(L); %% Decomposition spectrale de A

lambda2 = D(2,2); %% Valeur de Fiedler
u2 = V(:,2); %% Vecteur de Fiedler